## InfGtkBrowserStore

InfGtkBrowserStore

## Functions

InfGtkBrowserStore * | inf_gtk_browser_store_new ()
void | inf_gtk_browser_store_add_discovery ()
InfBrowser * | inf_gtk_browser_store_add_connection ()
void | inf_gtk_browser_store_add_browser ()
void | inf_gtk_browser_store_remove_browser ()
void | inf_gtk_browser_store_remove_connection ()
void | inf_gtk_browser_store_clear_connection_error ()
void | inf_gtk_browser_store_set_connection_name ()

## Properties

InfCommunicationManager * | communication-manager | Read / Write / Construct Only
InfIo * | io | Read / Write / Construct Only

## Types and Values

struct | InfGtkBrowserStore
struct | InfGtkBrowserStoreClass

## Object Hierarchy

        GObject
        ╰── InfGtkBrowserStore

## Implemented Interfaces

InfGtkBrowserStore implements GtkTreeModel and InfGtkBrowserModel.

## Description

## Functions

### inf_gtk_browser_store_new ()

    InfGtkBrowserStore *
    inf_gtk_browser_store_new (InfIo *io,
                               InfCommunicationManager *comm_manager);

Creates a new InfGtkBrowserStore.

[constructor]

#### Parameters

io | A InfIo object for the created InfcBrowser to schedule timeouts. |
comm_manager | The InfCommunicationManager with which to explore remote directories. |

#### Returns

A new InfGtkBrowserStore.

[transfer full]

### inf_gtk_browser_store_add_discovery ()

    void
    inf_gtk_browser_store_add_discovery (InfGtkBrowserStore *store,
                                         InfDiscovery *discovery);

Adds `discovery` to `model` . The model will then show up discovered servers.

#### Parameters

store | A InfGtkBrowserStore. |
discovery | A InfDiscovery not yet added to `model` . |

### inf_gtk_browser_store_add_connection ()

    InfBrowser *
    inf_gtk_browser_store_add_connection (InfGtkBrowserStore *store,
                                          InfXmlConnection *connection,
                                          const gchar *name);

This function adds a connection to the `store` . `store` will show up an item for the connection if there is not already one. This allows to browse the explored parts of the directory of the remote site. If `name` is `NULL`, then the “remote-id” of the connection will be used.

The return value is the InfBrowser for the added connection, or an existing browser for the connection, if there is any.

#### Parameters

store | A InfGtkBrowserStore. |
connection | A InfXmlConnection. |
name | Name for the item, or `NULL`. | [allow-none]

#### Returns

An InfBrowser for the new connection.

[transfer none]

### inf_gtk_browser_store_add_browser ()

    void
    inf_gtk_browser_store_add_browser (InfGtkBrowserStore *store,
                                       InfBrowser *browser,
                                       const gchar *name);

This function adds a browser to the `store` . `store` will show up an item for the browser if there is not already one. This allows to browse the explored part of the browser. The `name` parameter must not be `NULL`.

#### Parameters

store | A InfGtkBrowserStore. |
browser | A InfBrowser. |
name | Name for the item. |

### inf_gtk_browser_store_remove_browser ()

    void
    inf_gtk_browser_store_remove_browser (InfGtkBrowserStore *store,
                                          InfBrowser *browser);

This function removes the entry for the given browser from `store` .

#### Parameters

store | A InfGtkBrowserStore |
browser | A InfBrowser contained in `store` . |

### inf_gtk_browser_store_remove_connection ()

    void
    inf_gtk_browser_store_remove_connection
                                   (InfGtkBrowserStore *store,
                                    InfXmlConnection *connection);

This function removes the entry for the given connection from `store` .

#### Parameters

store | A InfGtkBrowserStore. |
connection | A InfXmlConnection contained in `store` . |

### inf_gtk_browser_store_clear_connection_error ()

    void
    inf_gtk_browser_store_clear_connection_error
                                   (InfGtkBrowserStore *store,
                                    InfXmlConnection *connection);

This function clears the error for the entry which belongs to the given connection.

#### Parameters

store | A InfGtkBrowserStore. |
connection | A InfXmlConnection contained in `store` . |

### inf_gtk_browser_store_set_connection_name ()

    void
    inf_gtk_browser_store_set_connection_name
                                   (InfGtkBrowserStore *store,
                                    InfXmlConnection *connection,
                                    const gchar *name);

This function sets the name of `connection` .

#### Parameters

store | A InfGtkBrowserStore. |
connection | A InfXmlConnection contained in `store` . |
name | The new name to set for the connection. |

## Types and Values

### struct InfGtkBrowserStore

    struct InfGtkBrowserStore;

### struct InfGtkBrowserStoreClass

    struct InfGtkBrowserStoreClass {
      GObjectClass parent_class;
    };

## Property Details

### The `“communication-manager”` property

      “communication-manager”    InfCommunicationManager *

The communication manager used for browsing remote directories.

Owner: InfGtkBrowserStore

Flags: Read / Write / Construct Only

### The `“io”` property

      “io”                       InfIo *

The IO object used for the created browsers to schedule timeouts.

Owner: InfGtkBrowserStore

Flags: Read / Write / Construct Only